Перейти к содержанию
dima1703

перестала работать кнопка "купить"

Рекомендуемые сообщения

Помогите пожалуйста, перестала работать кнопка "купить" в каталогах и в карточке товаров, все другие кнопки работают. Подскажите в чем проблема сайт http://milliner.com.ua/

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
20 минут назад, dima1703 сказал:

Помогите пожалуйста, перестала работать кнопка "купить" в каталогах и в карточке товаров, все другие кнопки работают. Подскажите в чем проблема сайт http://milliner.com.ua/

а кто вам js правил? common.js

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
2 минуты назад, Pavel666 сказал:

а кто вам js правил? common.js

изменений не вносили, сейчас заменил на фаил с дефолтной темы

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
54 минуты назад, dima1703 сказал:

изменений не вносили, сейчас заменил на фаил с дефолтной темы

 

Обновите версию bootstrap.min.js

в папке catalog/view/javascript можете взять из чистого дистрибутива ocstore например версии 2.1

Кстати какая у вас версия Опенкарт?

 

P.S а вообще у вас должно и с этой версией работать

Изменено пользователем Pavel666

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Чет у вас там очень много скриптов подгружается, попробуйте переместить строку

<script src="catalog/view/javascript/bootstrap/js/bootstrap.min.js" type="text/javascript"></script>

вставить ее после 

<script src="catalog/view/javascript/mf/jquery-ui.min.js?v2.0.5.2" type="text/javascript"></script>

ну или вообще перед закрывающим тегом </head>

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

у вас после jquery-2.1.1.min.js грузится jquery 1.10.2, предполагаю, что конфликт тут. Удалите:

<script src="catalog/view/theme/theme574/js/jquery-1.10.2.min.js"></script>

> $.fn.jquery
< "1.10.2"

 

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
14 минут назад, ibond сказал:

у вас после jquery-2.1.1.min.js грузится jquery 1.10.2, предполагаю, что конфликт тут. Удалите:

<script src="catalog/view/theme/theme574/js/jquery-1.10.2.min.js"></script>


> $.fn.jquery
< "1.10.2"

 

 

Вопрос лишь начерта нужен собственный файл js в шаблоне? 

Что то там видимо древность какая то.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
16 минут назад, Pavel666 сказал:

 

Вопрос лишь начерта нужен собственный файл js в шаблоне? 

Что то там видимо древность какая то.

Если посмотреть исходник шаблона, то там такого нет.

Видимо какой-то модуль древний кто-то ставил.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
11 часов назад, Pavel666 сказал:

 

Обновите версию bootstrap.min.js

 в папке catalog/view/javascript можете взять из чистого дистрибутива ocstore например версии 2.1

Кстати какая у вас версия Опенкарт?

 

 P.S а вообще у вас должно и с этой версией работать

версия 2.0.1.1

 

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
21 минуту назад, dima1703 сказал:

версия 2.0.1.1

 

 

Вам выше ответили что можно отменить подгрузку в шаблон доп файла jquery, я правда не уверен что тот функционал который требует этого файла продолжит корректно работать, но может я и ошибаюсь, необходимо смотреть изменения в версиях jquery.

 

или же как я писал выше можете переместить строку 

<script src="catalog/view/javascript/bootstrap/js/bootstrap.min.js" type="text/javascript"></script>

вставить ее перед </head>

 

должно помочь

 

P.S строка находится в файле header.tpl в шаблоне вашей темы

Изменено пользователем Pavel666

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
В 07.10.2018 в 11:44, ibond сказал:

у вас после jquery-2.1.1.min.js грузится jquery 1.10.2, предполагаю, что конфликт тут. Удалите:

<script src="catalog/view/theme/theme574/js/jquery-1.10.2.min.js"></script>


> $.fn.jquery
< "1.10.2"

 

Спасибо за помощь, Ваше предположение оказалось верно

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
В 07.10.2018 в 13:20, Pavel666 сказал:

 

Вам выше ответили что можно отменить подгрузку в шаблон доп файла jquery, я правда не уверен что тот функционал который требует этого файла продолжит корректно работать, но может я и ошибаюсь, необходимо смотреть изменения в версиях jquery.

 

или же как я писал выше можете переместить строку 

<script src="catalog/view/javascript/bootstrap/js/bootstrap.min.js" type="text/javascript"></script>

 вставить ее перед </head>

 

должно помочь

 

P.S строка находится в файле header.tpl в шаблоне вашей темы

Спасибо за помощь

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Для публикации сообщений создайте учётную запись или авторизуйтесь

Вы должны быть пользователем, чтобы оставить комментарий

Создать учетную запись

Зарегистрируйте новую учётную запись в нашем сообществе. Это очень просто!

Регистрация нового пользователя

Войти

Уже есть аккаунт? Войти в систему.

Войти

  • Последние посетители   0 пользователей онлайн

    Ни одного зарегистрированного пользователя не просматривает данную страницу

×

Важная информация

На нашем сайте используются файлы cookie и происходит обработка некоторых персональных данных пользователей, чтобы улучшить пользовательский интерфейс. Чтобы узнать для чего и какие персональные данные мы обрабатываем перейдите по ссылке. Если Вы нажмете «Я даю согласие», это означает, что Вы понимаете и принимаете все условия, указанные в этом Уведомлении о Конфиденциальности.